package logrusloki

import (
	"fmt"

	"github.com/prometheus/common/model"
)

type Option func(hook2 *hook)

func WithFieldAsLabels(b bool) Option {
	return func(hook2 *hook) {
		hook2.fieldsAsLabels = b
	}
}

func WithLabelsKV(kv ...interface{}) Option {
	return func(hook2 *hook) {
		if hook2.labels == nil {
			hook2.labels = model.LabelSet{}
		}
		for i := 0; i < len(kv); i += 2 {
			hook2.labels[model.LabelName(fmt.Sprintf("%v", kv[i]))] = model.LabelValue(fmt.Sprintf("%v", kv[i+1]))
		}
	}
}
